std::experimental::fundamentals_v1::nullopt_t Struct Reference
Technical Specifications » Library Fundamentals TS » Optional values

`#include <optional>`

## Public Types

enum class | _Construct { _Token }

## Public Member Functions

constexpr | nullopt_t (_Construct)

## Detailed Description

Tag type to disengage optional objects.

Definition at line 83 of file experimental/optional.

## Member Enumeration Documentation

## _Construct

enum class std::experimental::fundamentals_v1::nullopt_t::_Construct

strong

Definition at line 90 of file experimental/optional.

## Constructor & Destructor Documentation

## nullopt_t()

constexpr std::experimental::fundamentals_v1::nullopt_t::nullopt_t | ( | _Construct |  | ) |

inline explicit constexpr

Definition at line 93 of file experimental/optional.

The documentation for this struct was generated from the following file:

- experimental/optional